### Method

# EDataBook BookCache ref_source

since: 3.26

#### Declaration [src]

    ESource*
    e_book_cache_ref_source (
      EBookCache* book_cache
    )

#### Description [src]

References the `ESource` to which `book_cache` is paired, use `g_object_unref()` when no longer needed. It can be `NULL` in some cases, like when running tests.

Available since: 3.26

#### Return value

Type: `ESource`

A reference to the `ESource` to which `book_cache` is paired, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.